Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyle.ContentsType

    java.lang.Object
      java.lang.Enum<QStyle.ContentsType>
          com.trolltech.qt.gui.QStyle.ContentsType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyle.ContentsType>

Enclosing class:
  QStyle

    public static enum QStyle.ContentsType

extends java.lang.Enum<QStyle.ContentsType>
implements QtEnumerator

This enum describes the available contents types. These are used to calculate sizes for the contents of various widgets.

See Also:
  `sizeFromContents`

Enum Constant Summary
`CT_CheckBox` A check box, like `QCheckBox`.
`CT_ComboBox` A combo box, like `QComboBox`.
`CT_CustomBase` Base value for custom contents types.
`CT_DialogButtons` Internal.
`CT_GroupBox` A group box, like `QGroupBox`.
`CT_HeaderSection` A header section, like `QHeader`.
`CT_LineEdit` A line edit, like `QLineEdit`.
`CT_MdiControls` The minimize, normal, and close button in the menu bar for a maximized MDI subwindow.
`CT_Menu` A menu, like `QMenu`.
`CT_MenuBar` A menu bar, like `QMenuBar`.
`CT_MenuBarItem` A menu bar item, like the buttons in a `QMenuBar`.
`CT_MenuItem` A menu item, like QMenuItem.
`CT_ProgressBar` A progress bar, like `QProgressBar`.
`CT_PushButton` A push button, like `QPushButton`.
`CT_Q3DockWindow` A Q3DockWindow.
`CT_Q3Header` A Qt 3 header section, like Q3Header.
`CT_RadioButton` A radio button, like `QRadioButton`.
`CT_ScrollBar` A scroll bar, like `QScrollBar`.
`CT_SizeGrip` A size grip, like `QSizeGrip`.
`CT_Slider` A slider, like `QSlider`.
`CT_SpinBox` A spin box, like `QSpinBox`.
`CT_Splitter` A splitter, like `QSplitter`.
`CT_TabBarTab` A tab on a tab bar, like `QTabBar`.
`CT_TabWidget` A tab widget, like `QTabWidget`.
`CT_ToolButton` A tool button, like `QToolButton`.
`CustomEnum`

Method Summary
`static QStyle.ContentsType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.ContentsType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyle.ContentsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CT_PushButton

    public static final QStyle.ContentsType CT_PushButton

  A push button, like `QPushButton`.

### CT_CheckBox

    public static final QStyle.ContentsType CT_CheckBox

  A check box, like `QCheckBox`.

### CT_RadioButton

    public static final QStyle.ContentsType CT_RadioButton

  A radio button, like `QRadioButton`.

### CT_ToolButton

    public static final QStyle.ContentsType CT_ToolButton

  A tool button, like `QToolButton`.

### CT_ComboBox

    public static final QStyle.ContentsType CT_ComboBox

  A combo box, like `QComboBox`.

### CT_Splitter

    public static final QStyle.ContentsType CT_Splitter

  A splitter, like `QSplitter`.

### CT_Q3DockWindow

    public static final QStyle.ContentsType CT_Q3DockWindow

  A Q3DockWindow.

### CT_ProgressBar

    public static final QStyle.ContentsType CT_ProgressBar

  A progress bar, like `QProgressBar`.

### CT_MenuItem

    public static final QStyle.ContentsType CT_MenuItem

  A menu item, like QMenuItem.

### CT_MenuBarItem

    public static final QStyle.ContentsType CT_MenuBarItem

  A menu bar item, like the buttons in a `QMenuBar`.

### CT_MenuBar

    public static final QStyle.ContentsType CT_MenuBar

  A menu bar, like `QMenuBar`.

### CT_Menu

    public static final QStyle.ContentsType CT_Menu

  A menu, like `QMenu`.

### CT_TabBarTab

    public static final QStyle.ContentsType CT_TabBarTab

  A tab on a tab bar, like `QTabBar`.

### CT_Slider

    public static final QStyle.ContentsType CT_Slider

  A slider, like `QSlider`.

### CT_ScrollBar

    public static final QStyle.ContentsType CT_ScrollBar

  A scroll bar, like `QScrollBar`.

### CT_Q3Header

    public static final QStyle.ContentsType CT_Q3Header

  A Qt 3 header section, like Q3Header.

### CT_LineEdit

    public static final QStyle.ContentsType CT_LineEdit

  A line edit, like `QLineEdit`.

### CT_SpinBox

    public static final QStyle.ContentsType CT_SpinBox

  A spin box, like `QSpinBox`.

### CT_SizeGrip

    public static final QStyle.ContentsType CT_SizeGrip

  A size grip, like `QSizeGrip`.

### CT_TabWidget

    public static final QStyle.ContentsType CT_TabWidget

  A tab widget, like `QTabWidget`.

### CT_DialogButtons

    public static final QStyle.ContentsType CT_DialogButtons

  Internal.

### CT_HeaderSection

    public static final QStyle.ContentsType CT_HeaderSection

  A header section, like `QHeader`.

### CT_GroupBox

    public static final QStyle.ContentsType CT_GroupBox

  A group box, like `QGroupBox`.

### CT_MdiControls

    public static final QStyle.ContentsType CT_MdiControls

  The minimize, normal, and close button in the menu bar for a maximized MDI subwindow.

### CT_CustomBase

    public static final QStyle.ContentsType CT_CustomBase

  Base value for custom contents types. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.ContentsType CustomEnum

Method Detail

### values

    public static final QStyle.ContentsType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyle.ContentsType c : QStyle.ContentsType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyle.ContentsType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.ContentsType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD